package com.ruoyi.xq.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.PageQuery;
import com.ruoyi.xq.domain.ActivityShop;
import com.ruoyi.xq.dto.admin.activity.ActivityShopAdminUpdateReq;
import com.ruoyi.xq.dto.app.activity.ActivityShopAppInfo;
import com.ruoyi.xq.dto.app.activity.ActivityShopAppList;
import com.ruoyi.xq.dto.app.activity.FreeJoinReq;
import com.ruoyi.xq.dto.app.activity.JoinResp;

/**
 * 相亲会Service接口
 *
 * @author 77
 * @date 2024-05-09
 */
public interface ActivityShopService extends IService<ActivityShop> {

    IPage<ActivityShopAppList> pageApp(PageQuery pageQuery);

    ActivityShop getByCode(String activityCode);

    void resetActivityShopUser(Long activityId,Integer gender);

    ActivityShopAppInfo info(Long activityId, String activityCode);

    JoinResp join(FreeJoinReq req);

    JoinResp checkJoin(Long userId, Long id);

    void saveData(ActivityShop bo);

    void updateData(ActivityShopAdminUpdateReq bo);

    void updateDataUser(ActivityShop bo);

    void removeDataByIds(Long[] ids);


}
